Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005007OCamlOCaml generalpublic2010-03-22 15:292012-09-25 20:06
ReporterDmitry Grebeniuk 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.0 
Summary0005007: building ocamlbrowser under windows fails (can't find Mutex)
DescriptionI'm trying to build svn' trunk under mingw:

../../../ocamlcomp.sh -o ocamlbrowser.exe -I ../../../otherlibs/win32unix -I ../../../otherlibs/str -I ../../../otherlibs/systhreads -I ../labltk -I ../lib -I ../support -I ../../../parsing -I ../../../utils -I ../../../typing \
        ../../../toplevel/toplevellib.cma \
        unix.cma str.cma labltk.cma jglib.cma list2.cmo useunix.cmo setpath.cmo lexical.cmo fileselect.cmo searchid.cmo searchpos.cmo shell.cmo help.cmo viewer.cmo typecheck.cmo editor.cmo main.cmo
File "_none_", line 1, characters 0-1:
Error: Error while linking shell.cmo:
Reference to undefined global `Mutex'
make[4]: *** [ocamlbrowser.exe] Error 2
make[4]: Leaving directory `/d/gds/dev/overbld/20100318/work312/src/ocaml/work/otherlibs/labltk/browser'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/d/gds/dev/overbld/20100318/work312/src/ocaml/work/otherlibs/labltk'
make[2]: *** [otherlibraries] Error 2
make[2]: Leaving directory `/d/gds/dev/overbld/20100318/work312/src/ocaml/work'

The fix is trivial, see uploaded patch.
TagsNo tags attached.
Attached Filespatch file icon ocamlbrowser_mutex.patch [^] (1,239 bytes) 2010-03-22 15:29 [Show Content]

- Relationships

-  Notes
(0005952)
doligez (administrator)
2011-06-01 17:15

This is already fixed in 3.12.0, right?

- Issue History
Date Modified Username Field Change
2010-03-22 15:29 Dmitry Grebeniuk New Issue
2010-03-22 15:29 Dmitry Grebeniuk File Added: ocamlbrowser_mutex.patch
2011-06-01 17:15 doligez Note Added: 0005952
2011-06-01 17:15 doligez Status new => resolved
2011-06-01 17:15 doligez Resolution open => fixed
2011-06-01 17:15 doligez Fixed in Version => 3.12.0
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker